Module Transport_preselect



SUBROUTINE Transport_preselect_main

!$OMP PARALLEL DO PRIVATE(uf)
DO iq = 1, nq
  CALL dynwan2bloch(..., w_q)
  IF(adapt_smearing)CALL vmewan2blochp(..., v_q)
ENDDO

!$OMP PARALLEL DO PRIVATE(cufkk)
DO iq = 1, nk
  CALL hamwan2bloch(..., e_k)
  IF(adapt_smearing)CALL vmewan2blochp(..., v_k)
ENDDO

DO itemp = 1, ntemp
  DO iq = 1, nq
    nkv = 0 
    !$OMP 
    DO ik = 1, nk
      IF ( ANY(match_delta(e_k, e_kq, w_q)) ) THEN 
        WRITE(iunkq) ik
        nkv = nkv + 1
      ENDIF
    ENDDO
    WRITE(iunnkqpairs, *) nkv
  ENDDO
ENDDO

DO iq = 1, nq
  ! ...
  DO ikk = 1, nk
    ik = find_in_valid()
    IF (ik == -1) CYCLE
    ! ...
  ENDDO
ENDDO

END SUBROUTINE Transport_preselect


FUNCTION match_delta

END FUNCTION

END MODULE Transport_preselect